
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Fix access to ROM in aty128fb.  Found by sparse.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/aty128fb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/aty/aty128fb.c~fbdev-fix-access-to-rom-in-aty128fb drivers/video/aty/aty128fb.c
--- 25/drivers/video/aty/aty128fb.c~fbdev-fix-access-to-rom-in-aty128fb	Wed Nov  3 15:18:43 2004
+++ 25-akpm/drivers/video/aty/aty128fb.c	Wed Nov  3 15:18:43 2004
@@ -939,7 +939,7 @@ static void __iomem *  __devinit aty128_
                 rom_base = ioremap(segstart, 0x10000);
 		if (rom_base == NULL)
 			return NULL;
-                if ((*rom_base == 0x55) && (((*(rom_base + 1)) & 0xff) == 0xaa))
+		if (readb(rom_base) == 0x55 && readb(rom_base + 1) == 0xaa)
 	                break;
                 iounmap(rom_base);
 		rom_base = NULL;
_
